GeneralLinearLeastSquares Class Reference

general linear least squares regression More...

`#include <ql/math/generallinearleastsquares.hpp>`

Inherited by LinearLeastSquaresRegression< ArgumentType >, and LinearRegression.

## Public Member Functions

template<class xContainer , class yContainer , class vContainer >
| GeneralLinearLeastSquares (const xContainer &x, const yContainer &y, const vContainer &v)
template<class xIterator , class yIterator , class vIterator >
| GeneralLinearLeastSquares (xIterator xBegin, xIterator xEnd, yIterator yBegin, yIterator yEnd, vIterator vBegin, vIterator vEnd)
const Array & | coefficients () const
const Array & | residuals () const
const Array & | standardErrors () const
| standard parameter errors as given by Excel, R etc.
const Array & | error () const
| modeling uncertainty as definied in Numerical Recipes
Size | size () const
Size | dim () const
template<class xIterator , class yIterator , class vIterator >
void | calculate (xIterator xBegin, xIterator xEnd, yIterator yBegin, yIterator yEnd, vIterator vBegin, vIterator)

## Protected Member Functions

template<class xIterator , class yIterator , class vIterator >
void | calculate (xIterator xBegin, xIterator xEnd, yIterator yBegin, yIterator yEnd, vIterator vBegin)
template<class xIterator , class yIterator , class vIterator >
QL_DEPRECATED void | calculate (xIterator xBegin, xIterator xEnd, yIterator yBegin, yIterator yEnd, vIterator vBegin, vIterator vEnd)

## Protected Attributes

Array | a_
Array | err_
Array | residuals_
Array | standardErrors_

## Detailed Description

general linear least squares regression

References: "Numerical Recipes in C", 2nd edition, Press, Teukolsky, Vetterling, Flannery,

Tests:
  the correctness of the returned values is tested by checking their properties.

## Member Function Documentation

## calculate()

QL_DEPRECATED void calculate | ( | xIterator | xBegin,
|  | xIterator | xEnd,
|  | yIterator | yBegin,
|  | yIterator | yEnd,
|  | vIterator | vBegin,
|  | vIterator | vEnd
| ) |  |

protected

Deprecated:
  Use the overload taking 5 parameters. Deprecated in version 1.10.